Get historical critical path dates

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /project/{projectId}/scenario/{scenarioId}/historical-critical-path

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required

Query parameters

  • dataDate string
  • startDate string Required
  • endDate string Required
  • floatMin number(double)
  • floatMax number(double)

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • items array[object]
      Hide items attributes Show items attributes object
      • id string
      • projectId integer(int64)
      • scenarioId integer(int64)
      • dataDate string(date)
      • activityId integer(int64)
      • floatTotal number(double)
      • startDate string(date)
      • finishDate string(date)
      • percentComplete number(double)
      • projectEndDate string(date-time)
    • hasMore boolean
GET /project/{projectId}/scenario/{scenarioId}/historical-critical-path
curl \
 --request GET 'https://live.smartpmtech.com/project/{projectId}/scenario/{scenarioId}/historical-critical-path?startDate=string&endDate=string' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
{
  "items": [
    {
      "id": "string",
      "projectId": 42,
      "scenarioId": 42,
      "dataDate": "2026-05-04",
      "activityId": 42,
      "floatTotal": 42.0,
      "startDate": "2026-05-04",
      "finishDate": "2026-05-04",
      "percentComplete": 42.0,
      "projectEndDate": "2026-05-04T09:42:00Z"
    }
  ],
  "hasMore": true
}